import java.io.*;
import java.net.*;
import java.util.*;

class TestClient {
	public static void main(String args[]) {
		String nume = "";
		String gazda = "localhost";

		if (args.length >= 1) {
			StringTokenizer param = new StringTokenizer(args[0], "@", false);
			try {
				if ( args[0].charAt(0) != '@' ) 
					nume = param.nextToken();
				gazda = param.nextToken();
			}
			catch (NoSuchElementException e) {}
			catch (StringIndexOutOfBoundsException e) {}
		}
		try {
			ConexiuneFinger c = new ConexiuneFinger(gazda);
			System.out.println(c.fingerInfo(nume));
		}
		catch (ConnectException e) {
			System.out.println("Eroare la stabilirea conexiunii cu " + gazda + ".");
		}
		catch (UnknownHostException e) {
			System.out.println("Gazdei " + gazda + " nu i se poate gasi adresa IP.");
		}
		catch (IOException e) {
			System.out.println("Eroare la operatiile IO");
		}
	}
}

class ConexiuneFinger {
	static final int PORT_IMPLICIT_FINGER = 79;
	Socket soclu;
	int port;
	InetAddress adresaGazda;

	public  ConexiuneFinger(String gazda) throws UnknownHostException {
		adresaGazda = InetAddress.getByName(gazda);
		port = PORT_IMPLICIT_FINGER;
	}

	String fingerInfo(String user) throws IOException {
		try {
			PrintWriter fluxSpreServer = new PrintWriter(new OutputStreamWriter(
				soclu.getOutputStream()), true);
			fluxSpreServer.println(user);
			BufferedReader fluxDeLaServer = new BufferedReader(new InputStreamReader(
				soclu.getInputStream()));
			String separatorLinie = System.getProperty("line.separator");
			StringBuffer bufferReceptie = new StringBuffer();
			String linieInfo = fluxDeLaServer.readLine();
			while (linieInfo != null) {
				bufferReceptie.append(linieInfo).append(separatorLinie);
				linieInfo = fluxDeLaServer.readLine();
			}
			return bufferReceptie.toString();
		}
		catch (IOException e) {
			throw e;
		}
		finally {
			try {
				soclu.close();
			}
			catch (Exception e) {}
		}
	}
}


